import { CSSProperties, HTMLAttributes } from 'react';
export interface AlertProps extends Omit<HTMLAttributes<HTMLDivElement>, 'className' | 'ref'> {
    style?: CSSProperties;
    className?: string | string[];
    type?: Types;
    title?: string;
    effect?: Effects;
    closable?: boolean;
    closeText?: string;
    close?: OnCloseEvent;
    showIcon?: boolean;
    center?: boolean;
    description?: string;
}
type Types = 'success' | 'warning' | 'info' | 'error';
type Effects = 'light' | 'dark';
export type OnCloseEvent = () => void;
export {};
